| Tilt Five NDK |

Macros | Typedefs | Functions
errors.h File Reference

C errors for the Tilt Five™ API. More...

`#include <stdint.h>`
Include dependency graph for errors.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | T5_EXPORT __attribute__((visibility("default")))
#define | T5_SUCCESS (0x0000)
| Success. More...
#define | T5_TIMEOUT (0x0001)
| Timeout. More...
#define | T5_ERROR_NO_CONTEXT (0x1000)
| No context. More...
#define | T5_ERROR_NO_LIBRARY (0x1001)
| No library loaded. More...
#define | T5_ERROR_INTERNAL (0x1002)
| An internal error occurred. More...
#define | T5_ERROR_NO_SERVICE (0x1003)
| Service isn't connected. More...
#define | T5_ERROR_IO_FAILURE (0x1004)
| Misc IO failure. More...
#define | T5_ERROR_REQUEST_ID_UNKNOWN (0x1005)
| Service doesn't understand the request. More...
#define | T5_ERROR_INVALID_ARGS (0x1006)
| Argument(s) are invalid. More...
#define | T5_ERROR_DEVICE_LOST (0x1007)
| Device lost. More...
#define | T5_ERROR_TARGET_NOT_FOUND (0x1008)
| Target (wand) not found. More...
#define | T5_ERROR_INVALID_STATE (0x1009)
| Incorrect state for the request. More...
#define | T5_ERROR_SETTING_UNKNOWN (0x100A)
| The requested param is unknown. More...
#define | T5_ERROR_SETTING_WRONG_TYPE (0x100B)
| The requested param has a different type to the requested type. More...
#define | T5_ERROR_MISC_REMOTE (0x100C)
| Miscellaneous remote error. More...
#define | T5_ERROR_OVERFLOW (0x100D)
| Buffer overflow. More...
#define | T5_ERROR_GRAPHICS_API_UNAVAILABLE (0x100E)
| Specified graphics API is unavailable. More...
#define | T5_ERROR_UNSUPPORTED (0x100F)
| Action is unsupported. More...
#define | T5_ERROR_DECODE_ERROR (0x1010)
| Failed to decode. More...
#define | T5_ERROR_INVALID_GFX_CONTEXT (0x1011)
| Graphics context is invalid. More...
#define | T5_ERROR_GFX_CONTEXT_INIT_FAIL (0x1012)
| Failed to initialize graphics context. More...
#define | T5_ERROR_TRY_AGAIN (0x1015)
| Target is not currently available. More...
#define | T5_ERROR_UNAVAILABLE (0x1016)
| Target is unavailable. More...
#define | T5_ERROR_ALREADY_CONNECTED (0x1017)
| The target is already connected. More...
#define | T5_ERROR_NOT_CONNECTED (0x1018)
| The target is not connected. More...
#define | T5_ERROR_STRING_OVERFLOW (0x1019)
| Overflow during string conversion operation. More...
#define | T5_ERROR_SERVICE_INCOMPATIBLE (0x101A)
| Service incompatible. More...
#define | T5_PERMISSION_DENIED (0x101B)
| Permission denied. More...
#define | T5_ERROR_INVALID_BUFFER_SIZE (0x101C)
| Invalid Buffer Size. More...
#define | T5_MAX_ERROR (0x8000)
| Maximum C error code. More...

## Typedefs
typedef uint32_t | T5_Result
| Represents an error code that may be returned by the Tilt Five™ API. More...

## Functions
T5_EXPORT const char * | t5GetResultMessage (T5_Result result)

## Detailed Description

C errors for the Tilt Five™ API.

Definition in file errors.h.

## Macro Definition Documentation

## ◆ T5_EXPORT

#define T5_EXPORT __attribute__((visibility("default")))

Definition at line 39 of file errors.h.

## Typedef Documentation

## ◆ T5_Result

typedef uint32_t T5_Result

Represents an error code that may be returned by the Tilt Five™ API.

Definition at line 47 of file errors.h.